Project

General

Profile

Bug #19727

Katello upgrade failed

Added by Denis Müller about 5 years ago. Updated almost 4 years ago.

Status:
Resolved
Priority:
High
Assignee:
-
Category:
Upgrades
Target version:
Difficulty:
Triaged:
Bugzilla link:
Pull request:
Fixed in Releases:
Found in Releases:
Red Hat JIRA:

Description

Hello,

during the Katello update from 3.3 to 3.4 we are getting an error:

Upgrade Step: Running installer...
/Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[theforeman.nodes.rto.de]: Failed to call refresh: Proxy theforeman.nodes.rto.de cannot be refreshed: unknown error (response 500)
/Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[theforeman.nodes.rto.de]: Proxy theforeman.nodes.rto.de cannot be refreshed: unknown error (response 500)
/usr/share/foreman-installer/modules/foreman/lib/puppet/provider/foreman_smartproxy/rest_v3.rb:44:in `refresh_features!'
/usr/share/foreman-installer/modules/foreman/lib/puppet/type/foreman_smartproxy.rb:54:in `refresh'
/usr/share/ruby/vendor_ruby/puppet/transaction/event_manager.rb:101:in `process_callback'
/usr/share/ruby/vendor_ruby/puppet/transaction/event_manager.rb:20:in `block in process_events'
/usr/share/ruby/vendor_ruby/puppet/transaction/event_manager.rb:93:in `block in queued_events'
/usr/share/ruby/vendor_ruby/puppet/transaction/event_manager.rb:92:in `each'
/usr/share/ruby/vendor_ruby/puppet/transaction/event_manager.rb:92:in `queued_events'
/usr/share/ruby/vendor_ruby/puppet/transaction/event_manager.rb:19:in `process_events'
/usr/share/ruby/vendor_ruby/puppet/transaction.rb:221:in `eval_resource'
/usr/share/ruby/vendor_ruby/puppet/transaction.rb:147:in `call'
/usr/share/ruby/vendor_ruby/puppet/transaction.rb:147:in `block (2 levels) in evaluate'
/usr/share/ruby/vendor_ruby/puppet/util.rb:335:in `block in thinmark'
/usr/share/ruby/benchmark.rb:296:in `realtime'
/usr/share/ruby/vendor_ruby/puppet/util.rb:334:in `thinmark'
/usr/share/ruby/vendor_ruby/puppet/transaction.rb:147:in `block in evaluate'
/usr/share/ruby/vendor_ruby/puppet/graph/relationship_graph.rb:118:in `traverse'
/usr/share/ruby/vendor_ruby/puppet/transaction.rb:138:in `evaluate'
/usr/share/gems/gems/kafo-2.0.0/modules/kafo_configure/lib/puppet/parser/functions/add_progress.rb:30:in `evaluate_with_trigger'
/usr/share/ruby/vendor_ruby/puppet/resource/catalog.rb:169:in `block in apply'
/usr/share/ruby/vendor_ruby/puppet/util/log.rb:149:in `with_destination'
/usr/share/ruby/vendor_ruby/puppet/transaction/report.rb:112:in `as_logging_destination'
/usr/share/ruby/vendor_ruby/puppet/resource/catalog.rb:168:in `apply'
/usr/share/ruby/vendor_ruby/puppet/configurer.rb:120:in `block in apply_catalog'
/usr/share/ruby/vendor_ruby/puppet/util.rb:161:in `block in benchmark'
/usr/share/ruby/benchmark.rb:296:in `realtime'
/usr/share/ruby/vendor_ruby/puppet/util.rb:160:in `benchmark'
/usr/share/ruby/vendor_ruby/puppet/configurer.rb:119:in `apply_catalog'
/usr/share/ruby/vendor_ruby/puppet/configurer.rb:227:in `run_internal'
/usr/share/ruby/vendor_ruby/puppet/configurer.rb:134:in `block in run'
/usr/share/ruby/vendor_ruby/puppet/context.rb:64:in `override'
/usr/share/ruby/vendor_ruby/puppet.rb:246:in `override'
/usr/share/ruby/vendor_ruby/puppet/configurer.rb:133:in `run'
/usr/share/ruby/vendor_ruby/puppet/application/apply.rb:302:in `apply_catalog'
/usr/share/ruby/vendor_ruby/puppet/application/apply.rb:236:in `block in main'
/usr/share/ruby/vendor_ruby/puppet/context.rb:64:in `override'
/usr/share/ruby/vendor_ruby/puppet.rb:246:in `override'
/usr/share/ruby/vendor_ruby/puppet/application/apply.rb:198:in `main'
/usr/share/ruby/vendor_ruby/puppet/application/apply.rb:159:in `run_command'
/usr/share/ruby/vendor_ruby/puppet/application.rb:381:in `block (2 levels) in run'
/usr/share/ruby/vendor_ruby/puppet/application.rb:507:in `plugin_hook'
/usr/share/ruby/vendor_ruby/puppet/application.rb:381:in `block in run'
/usr/share/ruby/vendor_ruby/puppet/util.rb:496:in `exit_on_fail'
/usr/share/ruby/vendor_ruby/puppet/application.rb:381:in `run'
/usr/share/ruby/vendor_ruby/puppet/util/command_line.rb:146:in `run'
/usr/share/ruby/vendor_ruby/puppet/util/command_line.rb:92:in `execute'
/usr/bin/puppet:8:in `<main>

[root@theforeman create]# rpm -qa katello
katello-3.4.0-3.el7.noarch
[root@theforeman create]# rpm -qa katello*
katello-common-3.4.0-3.el7.noarch
katello-default-ca-1.0-1.noarch
katello-agent-2.9.1-2.el7.noarch
katello-installer-base-3.4.0-2.el7.noarch
katello-ca-consumer-theforeman.nodes.rto.de-1.0-3.noarch
katello-repos-3.4.0-3.el7.noarch
katello-debug-3.4.0-3.el7.noarch
katello-client-bootstrap-1.3.0-1.el7.noarch
katello-selinux-3.0.2-1.el7.noarch
katello-service-3.4.0-3.el7.noarch
katello-agent-fact-plugin-2.9.1-2.el7.noarch
katello-server-ca-1.0-1.noarch
katello-3.4.0-3.el7.noarch
katello-certs-tools-2.4.0-1.el7.noarch

[root@theforeman create]# rpm -qa foreman*
foreman-installer-1.15.0-1.el7.noarch
foreman-cli-1.15.0-1.el7.noarch
foreman-1.15.0-1.el7.noarch
foreman-ovirt-1.15.0-1.el7.noarch
foreman-release-1.15.0-1.el7.noarch
foreman-proxy-1.15.0-1.el7.noarch
foreman-postgresql-1.15.0-1.el7.noarch
foreman-gce-1.15.0-1.el7.noarch
foreman-vmware-1.15.0-1.el7.noarch
foreman-installer-katello-3.4.0-2.el7.noarch
foreman-release-scl-3-1.el7.noarch
foreman-debug-1.15.0-1.el7.noarch
foreman-compute-1.15.0-1.el7.noarch
foreman-selinux-1.15.0-1.el7.noarch
foreman-libvirt-1.15.0-1.el7.noarch
foreman-proxy-selinux-1.15.0-1.el7.noarch

[root@theforeman create]# cat /etc/redhat-release
CentOS Linux release 7.3.1611 (Core)

I would appriciate any help.

katello.log katello.log 1.96 MB Installer log Denis Müller, 06/01/2017 02:16 AM

History

#1 Updated by Denis Müller about 5 years ago

  • Category set to Upgrades

#2 Updated by Mario Gamboa about 5 years ago

Did you try with the option --foreman-proxy-register-in-foreman "false" the only issue is the capsule is going to be upgraded but you need to make manual modifications to the config files as per bug raise http://projects.theforeman.org/issues/19329

#3 Updated by Eric Helms about 5 years ago

  • Status changed from New to Need more information
  • Legacy Backlogs Release (now unused) set to 228

Can you provide us with either your /var/log/foreman/production.log or a foreman-debug? The 500 error during smart proxy registration comes from the server itself and thus the server log will have the best information on how we can troubleshoot the error.

#4 Updated by Eric Helms about 5 years ago

  • Legacy Backlogs Release (now unused) changed from 228 to 258

#5 Updated by Denis Müller about 5 years ago

I did forgot to install "katello" packages bevore i did try to install foreman-proxy-content. So after i did it first it worked, thank you.

#6 Updated by Daniel Lobato Garcia about 5 years ago

  • Status changed from Need more information to Resolved

Closing as Resolved since the reporter says it's fixed now.

#7 Updated by Eric Helms about 5 years ago

  • Legacy Backlogs Release (now unused) changed from 258 to 228

Also available in: Atom PDF